Bug 139311 - sbp2 errors when trying to access ipod (x86_64 arch)
sbp2 errors when trying to access ipod (x86_64 arch)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-14 22:57 EST by Brian Daniels
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:50:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Daniels 2004-11-14 22:57:45 EST
Description of problem:
Connect ipod, mount, try to write file.  The write never succeeds. 
Hardware is a MSI Neo2 Platinum MB with the Nvidia Nforce3 chipset. 
Having similar problems and data corruption with external firewire DVD
burner too.


Version-Release number of selected component (if applicable):
kernel-2.6.9-1.667 stock from Fedora install

How reproducible:
always

Steps to Reproduce:
1. connect ipod
2. mount
3. write file to ipod
  
Actual results:
The following is logged:
Nov 14 22:32:25 hotblue kernel: ieee1394: Error parsing configrom for
node 0-01:1023
Nov 14 22:32:25 hotblue wait_for_sysfs[3363]: error: unknown bus,
please report to <linux-hotplug-dev
el@lists.sourceforge.net> 'ieee1394'
Nov 14 22:32:25 hotblue wait_for_sysfs[3363]: either wait_for_sysfs
(udev 039) needs an update to han
dle the device
'/devices/pci0000:00/0000:00:0e.0/0000:02:0c.0/fw-host0/000a27000206960d'
properly (un
known bus) or the sysfs-support of your device's driver needs to be
fixed, please report to <linux-ho
tplug-devel@lists.sourceforge.net>
Nov 14 22:32:25 hotblue wait_for_sysfs[3383]: error: unknown bus,
please report to <linux-hotplug-dev
el@lists.sourceforge.net> 'ieee1394'
Nov 14 22:32:25 hotblue wait_for_sysfs[3383]: either wait_for_sysfs
(udev 039) needs an update to han
dle the device
'/devices/pci0000:00/0000:00:0e.0/0000:02:0c.0/fw-host0/000a27000206960d/000a270002069
60d-0' properly (unknown bus) or the sysfs-support of your device's
driver needs to be fixed, pleaser
eport to <linux-hotplug-devel@lists.sourceforge.net>
Nov 14 22:32:25 hotblue ieee1394.agent[3374]: ... no drivers for
IEEE1394 product 0x/0x/0x
Nov 14 22:32:25 hotblue kernel: sbp2: $Rev: 1219 $ Ben Collins
<bcollins@debian.org>
Nov 14 22:32:25 hotblue kernel: scsi4 : SCSI emulation for IEEE-1394
SBP-2 Devices
Nov 14 22:32:25 hotblue ieee1394.agent[3411]: ... no drivers for
IEEE1394 product 0x/0x/0x
Nov 14 22:32:27 hotblue kernel: ieee1394: sbp2: Logged into SBP-2 device
Nov 14 22:32:27 hotblue kernel:   Vendor: Apple     Model: iPod      
       Rev: 1.20
Nov 14 22:32:27 hotblue kernel:   Type:   Direct-Access              
       ANSI SCSI revision: 02
Nov 14 22:32:27 hotblue kernel: SCSI device sdc: 39062520 512-byte
hdwr sectors (20000 MB)
Nov 14 22:32:27 hotblue kernel: sdc: test WP failed, assume Write Enabled
Nov 14 22:32:27 hotblue kernel: sdc: asking for cache data failed
Nov 14 22:32:27 hotblue kernel: sdc: assuming drive cache: write through
Nov 14 22:32:27 hotblue kernel:  sdc: sdc1 sdc2
Nov 14 22:32:27 hotblue kernel: Attached scsi removable disk sdc at
scsi4, channel 0, id 0, lun 0
Nov 14 22:32:27 hotblue scsi.agent[3470]: disk at
/devices/pci0000:00/0000:00:0e.0/0000:02:0c.0/fw-ho
st0/000a27000206960d/000a27000206960d-0/host4/4:0:0:0
Nov 14 22:32:28 hotblue fstab-sync[3518]: added mount point
/media/ieee1394disk for /dev/sdc2
Nov 14 22:34:28 hotblue ntpd[2245]: synchronized to 66.187.224.4,
stratum 1
Nov 14 22:35:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:35:20 hotblue kernel: Read (10) 00 00 01 60 ca 00 00 01 00
Nov 14 22:35:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:35:20 hotblue kernel: Test Unit Ready 00 00 00 00 00
Nov 14 22:35:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:35:20 hotblue kernel: Write (10) 00 00 02 62 bb 00 00 01 00
Nov 14 22:35:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:35:20 hotblue kernel: Write (10) 00 00 02 62 c3 00 00 02 00
Nov 14 22:35:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:35:20 hotblue kernel: Write (10) 00 01 de d9 53 00 00 01 00
Nov 14 22:35:50 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:35:50 hotblue kernel: Write (10) 00 01 de d9 53 00 00 01 00
Nov 14 22:35:50 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:35:50 hotblue kernel: Write (10) 00 00 02 62 c3 00 00 02 00
Nov 14 22:35:50 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:35:50 hotblue kernel: Write (10) 00 00 02 62 bb 00 00 01 00
Nov 14 22:35:50 hotblue kernel: Write (10) 00 00 02 62 bb 00 00 01 00
Nov 14 22:35:50 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:35:50 hotblue kernel: Test Unit Ready 00 00 00 00 00
Nov 14 22:35:50 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:35:50 hotblue kernel: Read (10) 00 00 01 60 ca 00 00 01 00
Nov 14 22:36:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:36:20 hotblue kernel: Read (10) 00 00 01 60 ca 00 00 01 00
Nov 14 22:36:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:36:20 hotblue kernel: Test Unit Ready 00 00 00 00 00
Nov 14 22:36:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:36:20 hotblue kernel: Write (10) 00 00 02 62 bb 00 00 01 00
Nov 14 22:36:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:36:20 hotblue kernel: Write (10) 00 00 02 62 c3 00 00 02 00
Nov 14 22:36:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:36:20 hotblue kernel: Write (10) 00 01 de d9 53 00 00 01 00
Nov 14 22:36:50 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:36:50 hotblue kernel: Write (10) 00 01 de d9 53 00 00 01 00
Nov 14 22:36:50 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:36:50 hotblue kernel: Write (10) 00 00 02 62 c3 00 00 02 00
Nov 14 22:36:50 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:36:50 hotblue kernel: Write (10) 00 00 02 62 bb 00 00 01 00
Nov 14 22:36:50 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:36:50 hotblue kernel: Test Unit Ready 00 00 00 00 00
Nov 14 22:36:50 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:36:50 hotblue kernel: Read (10) 00 00 01 60 ca 00 00 01 00
Nov 14 22:37:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:37:20 hotblue kernel: Read (10) 00 00 01 60 ca 00 00 01 00
Nov 14 22:37:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:37:20 hotblue kernel: Test Unit Ready 00 00 00 00 00
Nov 14 22:37:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:37:20 hotblue kernel: Write (10) 00 00 02 62 bb 00 00 01 00
Nov 14 22:37:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:37:20 hotblue kernel: Write (10) 00 00 02 62 c3 00 00 02 00
Nov 14 22:37:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:37:20 hotblue kernel: Write (10) 00 01 de d9 53 00 00 01 00
Nov 14 22:37:20 hotblue kernel: SCSI error : <4 0 0 0> return code =
0x6000000
Nov 14 22:37:20 hotblue kernel: end_request: I/O error, dev sdc,
sector 90314
Nov 14 22:37:20 hotblue kernel: SCSI error : <4 0 0 0> return code =
0x6000000
Nov 14 22:37:20 hotblue kernel: end_request: I/O error, dev sdc,
sector 156347
Nov 14 22:37:20 hotblue kernel: Buffer I/O error on device sdc2,
logical block 76022
Nov 14 22:37:20 hotblue kernel: lost page write due to I/O error on sdc2
Nov 14 22:37:20 hotblue kernel: SCSI error : <4 0 0 0> return code =
0x6000000
Nov 14 22:37:20 hotblue kernel: end_request: I/O error, dev sdc,
sector 156355
Nov 14 22:37:20 hotblue kernel: Buffer I/O error on device sdc2,
logical block 76030
Nov 14 22:37:21 hotblue kernel: lost page write due to I/O error on sdc2
Nov 14 22:37:21 hotblue kernel: SCSI error : <4 0 0 0> return code =
0x6000000
Nov 14 22:37:21 hotblue kernel: end_request: I/O error, dev sdc,
sector 31381843
Nov 14 22:37:21 hotblue kernel: Buffer I/O error on device sdc2,
logical block 31301518
Nov 14 22:37:21 hotblue kernel: lost page write due to I/O error on sdc2
Nov 14 22:37:21 hotblue kernel: FAT: bread(block 9989) in fat_access
failed
Nov 14 22:37:21 hotblue kernel: FAT: Directory bread(block 31301518)
failed
Nov 14 22:37:50 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:37:50 hotblue kernel: Write (10) 00 00 02 62 c4 00 00 01 00
Nov 14 22:37:50 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:37:50 hotblue kernel: Test Unit Ready 00 00 00 00 00
Nov 14 22:37:50 hotblue kernel: SCSI error : <4 0 0 0> return code =
0x6000000
Nov 14 22:37:50 hotblue kernel: end_request: I/O error, dev sdc,
sector 156356
Nov 14 22:37:50 hotblue kernel: Buffer I/O error on device sdc2,
logical block 76031
Nov 14 22:37:50 hotblue kernel: lost page write due to I/O error on sdc2
Nov 14 22:37:55 hotblue kernel: FAT: unable to read inode block for
updating (i_pos 500824291)
Nov 14 22:38:20 hotblue kernel: ieee1394: sbp2: aborting sbp2 command
Nov 14 22:38:20 hotblue kernel: Test Unit Ready 00 00 00 00 00
Nov 14 22:38:25 hotblue kernel: Buffer I/O error on device sdc2,
logical block 1


Expected results:
file correctly saved

Additional info:
Comment 1 Brian Daniels 2004-11-16 13:02:44 EST
The motherboard Firewire controller shows up in lspci as:
02:0c.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host
Controller (rev 46) (prog-if 10 [OHCI])
        Subsystem: Unknown device 0574:086c
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32, Cache Line Size 08
        Interrupt: pin A routed to IRQ 5
        Region 0: Memory at fb000000 (32-bit, non-prefetchable) [size=2K]
        Region 1: I/O ports at 9000 [size=128]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2+ AuxCurrent=0mA
PME(D0-,D1-,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-


I have tried adding a PCI Firewire card to the system:
02:08.0 FireWire (IEEE 1394): Agere Systems (former Lucent
Microelectronics) FW323 (rev 04)
This was able to write data to the iPod, but froze the system hard
when issued an eject command.
Comment 2 Thomas Walker 2005-01-24 20:32:02 EST
I also get a similar error (about lack of sysfs support) by simply
plugging in my ipod  to firewire.  Oddly, if I have it plugged in at
boot, kudzu handles it just fine (but not hotplug, I guess).
I'm using x86_64 as well, with a generic NEC based PCI firewire card
(lspci -n says "00:0a.0 Class 0c00: 1033:00e7 (rev 01)"
Comment 3 Dave Jones 2005-07-15 16:11:36 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 20:50:24 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.